%{?nodejs_find_provides_and_requires}

# Tests disabled due to missing npm(micromatch)
%global enable_tests 0

Name:           nodejs-findup-sync
Version:        0.4.3
Release:        1%{?dist}
Summary:        Find the first file matching a given pattern

License:        MIT
Group:          System Environment/Libraries
URL:            https://github.com/js-cli/node-findup-sync
Source0:        https://github.com/js-cli/node-findup-sync/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(detect-file)
BuildRequires:  npm(is-glob)
BuildRequires:  npm(micromatch)
BuildRequires:  npm(resolve-dir)
%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(fs-exists-sync)
BuildRequires:  npm(is-absolute)
BuildRequires:  npm(normalize-path)
BuildRequires:  npm(os-homedir)
BuildRequires:  npm(resolve)
%endif

%description
Find the first file matching a given pattern in the current directory or
the nearest ancestor directory.


%prep
%autosetup -n node-findup-sync-%{version}
%nodejs_fixdep resolve-dir


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/findup-sync
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/findup-sync
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/findup-sync


%changelog
* Mon Apr 17 2017 Jared Smith <jsmith@fedoraproject.org> - 0.4.3-1
- Update to upstream 0.4.3 release

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan  1 2016 Tom Hughes <tom@compton.nu> - 0.3.0-1
- Update to 0.3.0 upstream release

* Mon Dec 14 2015 Tom Hughes <tom@compton.nu> - 0.1.3-4
- Update npm(lodash) dependency
- Enable tests

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 30 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.3.1
- update to upstream release 0.1.3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.2-1
- initial package
